Control Plane APIIncidents
Retrieve a list of incidents.
Query Parameters
status?string
Filter incidents by active/resolved status @example INCIDENT_STATUS_ACTIVE
Default
"INCIDENT_STATUS_UNSPECIFIED"Value in
- "INCIDENT_STATUS_UNSPECIFIED"
- "INCIDENT_STATUS_ACTIVE"
- "INCIDENT_STATUS_RESOLVED"
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/incidents"{ "incidents": [ { "createdAt": "2019-08-24T14:15:22Z", "customerMessage": "string", "id": "string", "impactedApplications": [ { "applicationId": "string", "applicationName": "string", "capabilities": [ { "id": "string", "name": "string" } ] } ], "internalDescription": "string", "resolvedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "state": "RUNTIME_STATE_UNSPECIFIED", "status": "INCIDENT_STATUS_UNSPECIFIED", "title": "string", "updatedAt": "2019-08-24T14:15:22Z", "version": "string" } ]}